com.holonplatform.vaadin7.spring

## Interface SpringViewNavigator.Builder

- All Superinterfaces:
    ViewNavigator.NavigatorBuilder<SpringViewNavigator.Builder>
  All Known Implementing Classes:
    DefaultSpringViewNavigator.SpringViewNavigatorBuilder
  Enclosing interface:
    SpringViewNavigator

      public static interface SpringViewNavigator.Builder
      extends ViewNavigator.NavigatorBuilder<SpringViewNavigator.Builder>

  Builder to create `SpringViewNavigator` instances

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpringViewNavigator.Builder` | `accessDeniedView(Class<? extends com.vaadin.navigator.View> viewClass)` Registers a view class for the view to show when a `ViewAccessControl` or a `ViewInstanceAccessControl` denies access to a view.
    `SpringViewNavigator` | `build()` Build the navigator instance
    `SpringViewNavigator.Builder` | `errorView(Class<? extends com.vaadin.navigator.View> viewClass)` Registers a view class for the view to show when no other view matches the navigation state.

    - ### Methods inherited from interface com.holonplatform.vaadin7.navigator.ViewNavigator.NavigatorBuilder

      `addProvider, authenticationEnabled, defaultViewName, defaultViewWindowConfigurator, errorView, errorViewProvider, maxNavigationHistorySize, navigateToDefaultViewWhenViewNotAvailable, withViewChangeListener`

- - ### Method Detail

    - #### errorView

          SpringViewNavigator.Builder errorView(Class<? extends com.vaadin.navigator.View> viewClass)

      Registers a view class for the view to show when no other view matches the navigation state.

      A bean of the given type is fetched on demand from the application context to be used as the error view. As a fallback mechanism for backwards compatibility, `Class.newInstance()` is used if no such bean is found.

      Note that an error view bean must be UI or prototype scoped.

      Parameters:
        `viewClass` - The View class whose instance should be used as the error view
      Returns:
        this

    - #### accessDeniedView

          SpringViewNavigator.Builder accessDeniedView(Class<? extends com.vaadin.navigator.View> viewClass)

      Registers a view class for the view to show when a `ViewAccessControl` or a `ViewInstanceAccessControl` denies access to a view.

      A bean of the given type is fetched on demand from the application context to be used as the access denied view. As a fallback mechanism for backwards compatibility, `Class.newInstance()` is used if no such bean is found.

      Note that an access denied view bean must be UI or prototype scoped.

      Parameters:
        `viewClass` - The View class whose instance should be used as the access denied view
      Returns:
        this

    - #### build

          SpringViewNavigator build()

      Build the navigator instance
      Returns:
        SpringViewNavigator instance

Copyright © 2019 The Holon Platform. All rights reserved.